Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.time
Class TimePosition

    java.lang.Object
      org.deegree.datatypes.time.TimePosition

All Implemented Interfaces:
  Serializable, Cloneable

    public class TimePosition

extends Object
implements Cloneable, Serializable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`TimePosition()` defaults are: indeterminatePosition = now calendarEraName = AC frame = #ISO-8601 time = new GregorianCalendar()
`TimePosition(Calendar time)` defaults are: indeterminatePosition = now calendarEraName = AC frame = #ISO-8601
`TimePosition(TimeIndeterminateValue indeterminatePosition, String calendarEraName, URI frame, Calendar time)`

Method Summary
`Object` | `clone()`
`String` | `getCalendarEraName()`
`URI` | `getFrame()`
`TimeIndeterminateValue` | `getIndeterminatePosition()`
`Calendar` | `getTime()`
`void` | `setCalendarEraName(String calendarEraName)`
`void` | `setFrame(URI frame)`
`void` | `setIndeterminatePosition(TimeIndeterminateValue indeterminatePosition)`
`void` | `setTime(Calendar time)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimePosition

    public TimePosition()

  defaults are:
  - indeterminatePosition = now
  - calendarEraName = AC
  - frame = #ISO-8601
  - time = new GregorianCalendar()

### TimePosition

    public TimePosition(Calendar time)

  defaults are:
  - indeterminatePosition = now
  - calendarEraName = AC
  - frame = #ISO-8601

  Parameters:
    `time` -

### TimePosition

    public TimePosition(TimeIndeterminateValue indeterminatePosition,
                        String calendarEraName,
                        URI frame,
                        Calendar time)

Parameters:
  `indeterminatePosition` -
  `calendarEraName` -
  `frame` -
  `time` -

Method Detail

### getCalendarEraName

    public String getCalendarEraName()

  Returns:
    Returns the calendarEraName.

### setCalendarEraName

    public void setCalendarEraName(String calendarEraName)

  Parameters:
    `calendarEraName` - The calendarEraName to set.

### getFrame

    public URI getFrame()

  Returns:
    Returns the frame.

### setFrame

    public void setFrame(URI frame)

  Parameters:
    `frame` - The frame to set.

### getIndeterminatePosition

    public TimeIndeterminateValue getIndeterminatePosition()

  Returns:
    Returns the indeterminatePosition.

### setIndeterminatePosition

    public void setIndeterminatePosition(TimeIndeterminateValue indeterminatePosition)

  Parameters:
    `indeterminatePosition` - The indeterminatePosition to set.

### getTime

    public Calendar getTime()

  Returns:
    Returns the time.

### setTime

    public void setTime(Calendar time)

  Parameters:
    `time` - The time to set.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org